Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.plugin.callnotification.sip.store
Class NotificationSubscription

    java.lang.Object
      com.bea.wlcp.wlng.plugin.callnotification.sip.store.NotificationSubscription

All Implemented Interfaces:
  Serializable

public class NotificationSubscription
extends Object
implements Serializable

Utility class for to represent a subscrption for call notification.

See Also:
  Serialized Form

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Constructor Summary
`NotificationSubscription(String appInstGrp, SimpleReference reference, String[] addresses, CallEvents[] criteria)` Validates a subscription request.

Method Summary
`boolean` | `equals(Object obj)`
`String[]` | `getAddresses()`
`String` | `getApplicationInstanceGroupId()`
`CallEvents[]` | `getCriteria()`
`SimpleReference` | `getReference()`
`protected void` | `setAddresses(String[] addrs)`
`protected void` | `setApplicationInstanceGroupId(String id)`
`protected void` | `setCriteria(CallEvents[] cri)`
`protected void` | `setReference(SimpleReference ref)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotificationSubscription

    public NotificationSubscription(String appInstGrp,
                                    SimpleReference reference,
                                    String[] addresses,
                                    CallEvents[] criteria)

  Validates a subscription request. The subscription reference could not be null. The correlator and callback url inside the reference could not be null. The callee's address array could not be null or empty.

Throws:
  `ServiceException`

Method Detail

### equals

    public boolean equals(Object obj)

### getAddresses

    public String[] getAddresses()

### getApplicationInstanceGroupId

    public String getApplicationInstanceGroupId()

### getCriteria

    public CallEvents[] getCriteria()

### getReference

    public SimpleReference getReference()

### setAddresses

    protected void setAddresses(String[] addrs)

### setApplicationInstanceGroupId

    protected void setApplicationInstanceGroupId(String id)

### setCriteria

    protected void setCriteria(CallEvents[] cri)

### setReference

    protected void setReference(SimpleReference ref)

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD